GriffonApplication.Event (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## griffon.core
[Java] Enum GriffonApplication.Event

    java.lang.Object
      griffon.core.GriffonApplication.Event

    public enum GriffonApplication.Event

Defines all the events triggered by the application.

Authors:
  Andres Almiray

Since:
  0.9.2

Enum Constant Summary
`BOOTSTRAP_END`
`BOOTSTRAP_START`
`CREATE_MVC_GROUP`
`DESTROY_MVC_GROUP`
`INITIALIZE_MVC_GROUP`
`LOAD_ADDONS_END`
`LOAD_ADDONS_START`
`LOAD_ADDON_END`
`LOAD_ADDON_START`
`LOG4J_CONFIG_START`
`NEW_INSTANCE`
`READY_END`
`READY_START`
`SHUTDOWN_ABORTED`
`SHUTDOWN_REQUESTED`
`SHUTDOWN_START`
`STARTUP_END`
`STARTUP_START`
`STOP_END`
`STOP_START`
`UNCAUGHT_EXCEPTION_THROWN`
`WINDOW_HIDDEN`
`WINDOW_SHOWN`

Field Summary
`private String` | `name` Defines the basic contract of a Griffon application.

Method Summary
`def` | `Event()`
`def` | `Event(String name)`
`String` | `getName()` Returns the capitalized String representation of this Event object.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Enum Constant Detail

### BOOTSTRAP_END

    GriffonApplication.Event BOOTSTRAP_END

### BOOTSTRAP_START

    GriffonApplication.Event BOOTSTRAP_START

### CREATE_MVC_GROUP

    GriffonApplication.Event CREATE_MVC_GROUP

### DESTROY_MVC_GROUP

    GriffonApplication.Event DESTROY_MVC_GROUP

### INITIALIZE_MVC_GROUP

    GriffonApplication.Event INITIALIZE_MVC_GROUP

### LOAD_ADDONS_END

    GriffonApplication.Event LOAD_ADDONS_END

### LOAD_ADDONS_START

    GriffonApplication.Event LOAD_ADDONS_START

### LOAD_ADDON_END

    GriffonApplication.Event LOAD_ADDON_END

### LOAD_ADDON_START

    GriffonApplication.Event LOAD_ADDON_START

### LOG4J_CONFIG_START

    GriffonApplication.Event LOG4J_CONFIG_START

### NEW_INSTANCE

    GriffonApplication.Event NEW_INSTANCE

### READY_END

    GriffonApplication.Event READY_END

### READY_START

    GriffonApplication.Event READY_START

### SHUTDOWN_ABORTED

    GriffonApplication.Event SHUTDOWN_ABORTED

### SHUTDOWN_REQUESTED

    GriffonApplication.Event SHUTDOWN_REQUESTED

### SHUTDOWN_START

    GriffonApplication.Event SHUTDOWN_START

### STARTUP_END

    GriffonApplication.Event STARTUP_END

### STARTUP_START

    GriffonApplication.Event STARTUP_START

### STOP_END

    GriffonApplication.Event STOP_END

### STOP_START

    GriffonApplication.Event STOP_START

### UNCAUGHT_EXCEPTION_THROWN

    GriffonApplication.Event UNCAUGHT_EXCEPTION_THROWN

### WINDOW_HIDDEN

    GriffonApplication.Event WINDOW_HIDDEN

### WINDOW_SHOWN

    GriffonApplication.Event WINDOW_SHOWN

Field Detail

### name

    private String name

  Defines the basic contract of a Griffon application.

  Authors:
    Danno Ferrin
    Andres Almiray

Method Detail

### Event

    def Event()

### Event

    def Event(String name)

### getName

    public String getName()

  Returns the capitalized String representation of this Event object.
  Returns:
    a capitalized String

Groovy Documentation